org.eclipse.ease.modules

## Class ModuleTracker

- java.lang.Object
- - org.eclipse.ease.modules.ModuleTracker

    public class ModuleTracker
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `ModuleTracker.ModuleState`

### Constructor Summary

Constructors
Constructor and Description
`ModuleTracker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ModuleTracker.ModuleState` `addInstance(java.lang.Object instance)`
`ModuleTracker.ModuleState` `addModule(ModuleDefinition definition)`
`java.util.List<ModuleTracker.ModuleState>` `getAvailableModules()`
`ModuleTracker.ModuleState` `getModuleState(ModuleDefinition definition)`
`ModuleTracker.ModuleState` `getOrCreateModuleState(ModuleDefinition definition)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleTracker

    public ModuleTracker()

### Method Detail

#### addModule

    public ModuleTracker.ModuleState addModule(ModuleDefinition definition)

#### addInstance

    public ModuleTracker.ModuleState addInstance(java.lang.Object instance)

#### getModuleState

    public ModuleTracker.ModuleState getModuleState(ModuleDefinition definition)

#### getOrCreateModuleState

    public ModuleTracker.ModuleState getOrCreateModuleState(ModuleDefinition definition)

#### getAvailableModules

    public java.util.List<ModuleTracker.ModuleState> getAvailableModules()